/**************************************************************************
                         undodialog.h  -  description
                             -------------------
    begin                : Mon Mai 27 20:08:19 CEST 2002
    copyright            : (C) 2001 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef UNDODIALOG_H
#define UNDODIALOG_H

#include <kdialogbase.h>

class KPushButton;
class KProcess;
class KTextBrowser;
class KURLRequester;
class QVBoxLayout;
class QHBoxLayout; 
class QGridLayout; 
class QLabel;
class UndoDialog : public KDialogBase
{ 
    Q_OBJECT
    public:
        UndoDialog( QWidget* parent = 0 );
        ~UndoDialog();

        void setUndoScript( const QString & filename );
    
    public slots:
        void start();
    
    private slots:
        void receive( KProcess*, char* buffer, int len );
        void receiveErr( KProcess*, char* buffer, int len );
        void finished( KProcess* p );
        void enableControls();
        
    private:
        QLabel* TextLabel1;
        KURLRequester* scriptname;
        QLabel* TextLabel2;
        KTextBrowser* browser;

    protected:
        QVBoxLayout* UndoDialogLayout;
};

#endif // UNDODIALOG_H
